org.apache.ignite.internal.pagemem.wal.record

## Class CdcDataRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.TimeStampRecord
    - - org.apache.ignite.internal.pagemem.wal.record.DataRecord
      - - org.apache.ignite.internal.pagemem.wal.record.CdcDataRecord

    public class CdcDataRecord
    extends DataRecord

The record to forcefully resend cache data to the CDC application.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.pagemem.wal.record.TimeStampRecord

`timestamp`

### Constructor Summary

Constructors
Constructor and Description
`CdcDataRecord(DataEntry writeEntry)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.DataRecord

`entryCount, get, setWriteEntries, writeEntries`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.TimeStampRecord

`timestamp, timestamp`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CdcDataRecord

    public CdcDataRecord(DataEntry writeEntry)

### Method Detail

#### type

    public WALRecord.RecordType type()

Overrides:
  `type` in class `DataRecord`
Returns:
  Entry type.

#### toString

    public String toString()

Overrides:
  `toString` in class `DataRecord`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023